
QGIS Application - Bug report #13617

Histogram gets messed up if style classification column does not match "histogrammed" column

2015-10-16 03:31 AM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21655

Description

I know this is probably not really how one should do it, but:

How to reproduce:

Load ne_110m_admin_0_countries.shp

Style -> Graduated -> Column "labelrank" -> Equal Interval -> Classify

Switch to Histogram tab

Switch Column to "pop_est" 

Hit "Load values" 

The displayed histogram is messed up, see screenshot.

ae1250b on Archlinux, not totally up to date with master.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
